Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| EAC Components 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.soleng.eac.toolkit.component
Class ReportGeneratorComponent

    java.lang.Object
      com.endeca.soleng.eac.toolkit.base.EacElement
          com.endeca.soleng.eac.toolkit.base.Provisionable
              com.endeca.soleng.eac.toolkit.component.Component
                  com.endeca.soleng.eac.toolkit.component.BatchComponent
                      com.endeca.soleng.eac.toolkit.component.ReportGeneratorComponent

    public class ReportGeneratorComponent

extends com.endeca.soleng.eac.toolkit.component.BatchComponent

Field Summary

Fields inherited from class com.endeca.soleng.eac.toolkit.base.EacElement
`appName, dataPrefix, eacHost, eacPort, elementId, lockManager, logDir, sslEnabled, workingDir`

Constructor Summary
`ReportGeneratorComponent()`

Method Summary
`com.endeca.eac.client.ComponentType` | `buildEacStub()`
`void` | `cleanInputDir()`
`void` | `copyReportToWebStudio(java.lang.String reportHostId, java.lang.String reportDir, boolean isDaily)`
`java.util.List<java.lang.String>` | `getArgs()`
`protected java.util.List<java.lang.String>` | `getDirProperties()`
`java.lang.String` | `getInputDir()`
`java.lang.String` | `getInputFileName()`
`java.lang.String` | `getJavaBinary()`
`java.util.List<java.lang.String>` | `getJavaOptions()`
`java.lang.String` | `getOutputFile()`
`java.lang.String` | `getSettingsFile()`
`java.lang.String` | `getStartDate()`
`java.lang.String` | `getStopDate()`
`java.lang.String` | `getStylesheetFile()`
`java.lang.String` | `getTimeRange()`
`java.lang.String` | `getTimeSeries()`
`protected void` | `initializeEacStub(com.endeca.eac.client.ReportGeneratorComponentType stub)`
`boolean` | `isChartsEnabled()`
`boolean` | `reportInputDirContainsFiles()`
`void` | `setArgs(java.util.List<java.lang.String> args)`
`void` | `setChartsEnabled(boolean chartsEnabled)`
`void` | `setInputDir(java.lang.String inputDir)`
`void` | `setInputFileName(java.lang.String inputFileName)`
`void` | `setJavaBinary(java.lang.String javaBinary)`
`void` | `setJavaOptions(java.util.List<java.lang.String> javaOptions)`
`void` | `setOutputFile(java.lang.String outputFile)`
`void` | `setSettingsFile(java.lang.String settingsFile)`
`void` | `setStartDate(java.lang.String startDate)`
`void` | `setStopDate(java.lang.String stopDate)`
`void` | `setStylesheetFile(java.lang.String stylesheetFile)`
`void` | `setTimeRange(java.lang.String timeRange)`
`void` | `setTimeSeries(java.lang.String timeSeries)`
`void` | `updateOutputFileName(java.lang.String fileName)` Strips the current filename from the output path and updates the object with the new filename.
`void` | `updateProvisioningForLastWeekReport()`
`void` | `updateProvisioningForWeekEndingYesterdayReport()`
`void` | `updateProvisioningForYesterdayReport()`

Methods inherited from class com.endeca.soleng.eac.toolkit.component.BatchComponent
`run, runInParallel`

Methods inherited from class com.endeca.soleng.eac.toolkit.component.Component
`archiveLogDir, cleanDir, constructArchiveLogDir, constructCleanDir, getCustomDirectories, getHost, getHostId, getLongPropertyValueOrDefault, getMaxMissedStatusChecksAllowed, getMaxWaitTimeSeconds, getMinWaitTimeSeconds, getNumLogBackups, getNumMissedStatusChecks, getProperties, getProperty, getSlowPollingIntervalMs, getStandardPollingIntervalMs, getStatus, incrementMissedStatusQueries, initializeEacStub, isActive, isDefined, isDefinitionChanged, isFailed, isHotUpdateDefinitionChange, isSkipTestingForFilesDuringCleanup, removeDefinition, setCustomDirectories, setDefinition, setDefinition, setHost, setHostId, setNumMissedStatusChecks, setProperties, start, stop, updateDefinition, updateEacDefinition, updateEacDefinition, waitForFinished`

Methods inherited from class com.endeca.soleng.eac.toolkit.base.Provisionable
`getAppDefinitionFromEac, getCachedAppDefinition, getProvisioningPort, invalidateCachedAppDefinition, setCachedAppDefinition`

Methods inherited from class com.endeca.soleng.eac.toolkit.base.EacElement
`getAppName, getDataPrefix, getEacHost, getEacPort, getElementId, getLockManager, getLogDir, getWorkingDir, isSslEnabled, setAppName, setDataPrefix, setEacHost, setEacPort, setElementId, setLockManager, setLogDir, setSslEnabled, setWorkingDir`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportGeneratorComponent

    public ReportGeneratorComponent()

Method Detail

### buildEacStub

    public com.endeca.eac.client.ComponentType buildEacStub()

  Overrides:
    `buildEacStub` in class `com.endeca.soleng.eac.toolkit.component.Component`

### initializeEacStub

    protected void initializeEacStub(com.endeca.eac.client.ReportGeneratorComponentType stub)

### cleanInputDir

    public void cleanInputDir()
                       throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                              com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                              com.endeca.soleng.eac.toolkit.exception.EacComponentControlException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`

### reportInputDirContainsFiles

    public boolean reportInputDirContainsFiles()
                                        throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                               com.endeca.soleng.eac.toolkit.exception.EacCommunicationException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`

### updateProvisioningForYesterdayReport

    public void updateProvisioningForYesterdayReport()
                                              throws com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                                     com.endeca.soleng.eac.toolkit.exception.EacProvisioningException,
                                                     com.endeca.soleng.eac.toolkit.exception.EacComponentControlException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacProvisioningException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`

### updateProvisioningForLastWeekReport

    public void updateProvisioningForLastWeekReport()
                                             throws com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                                    com.endeca.soleng.eac.toolkit.exception.EacProvisioningException,
                                                    com.endeca.soleng.eac.toolkit.exception.EacComponentControlException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacProvisioningException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`

### updateProvisioningForWeekEndingYesterdayReport

    public void updateProvisioningForWeekEndingYesterdayReport()
                                                        throws com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                                               com.endeca.soleng.eac.toolkit.exception.EacProvisioningException,
                                                               com.endeca.soleng.eac.toolkit.exception.EacComponentControlException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacProvisioningException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`

### updateOutputFileName

    public void updateOutputFileName(java.lang.String fileName)

  Strips the current filename from the output path and updates the object with the new filename.

  Parameters:
    `fileName` - New filename to sub into the output path.

### copyReportToWebStudio

    public void copyReportToWebStudio(java.lang.String reportHostId,
                                      java.lang.String reportDir,
                                      boolean isDaily)
                               throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                      com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                      com.endeca.soleng.eac.toolkit.exception.EacComponentControlException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`

### getDirProperties

    protected java.util.List<java.lang.String> getDirProperties()

  Overrides:
    `getDirProperties` in class `com.endeca.soleng.eac.toolkit.component.Component`

### getArgs

    public java.util.List<java.lang.String> getArgs()

### setArgs

    public void setArgs(java.util.List<java.lang.String> args)

### isChartsEnabled

    public boolean isChartsEnabled()

### setChartsEnabled

    public void setChartsEnabled(boolean chartsEnabled)

### getJavaBinary

    public java.lang.String getJavaBinary()

### setJavaBinary

    public void setJavaBinary(java.lang.String javaBinary)

### getJavaOptions

    public java.util.List<java.lang.String> getJavaOptions()

### setJavaOptions

    public void setJavaOptions(java.util.List<java.lang.String> javaOptions)

### getSettingsFile

    public java.lang.String getSettingsFile()

### setSettingsFile

    public void setSettingsFile(java.lang.String settingsFile)

### getStartDate

    public java.lang.String getStartDate()

### setStartDate

    public void setStartDate(java.lang.String startDate)

### getStopDate

    public java.lang.String getStopDate()

### setStopDate

    public void setStopDate(java.lang.String stopDate)

### getStylesheetFile

    public java.lang.String getStylesheetFile()

### setStylesheetFile

    public void setStylesheetFile(java.lang.String stylesheetFile)

### getOutputFile

    public java.lang.String getOutputFile()

### setOutputFile

    public void setOutputFile(java.lang.String outputFile)

### getTimeRange

    public java.lang.String getTimeRange()

### setTimeRange

    public void setTimeRange(java.lang.String timeRange)

### getTimeSeries

    public java.lang.String getTimeSeries()

### setTimeSeries

    public void setTimeSeries(java.lang.String timeSeries)

### getInputDir

    public java.lang.String getInputDir()

### setInputDir

    public void setInputDir(java.lang.String inputDir)

### getInputFileName

    public java.lang.String getInputFileName()

### setInputFileName

    public void setInputFileName(java.lang.String inputFileName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| EAC Components 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, 2012, Oracle and/or its affiliates. All rights reserved.

    @VERSION
    PRODUCT: EAC Components (eacComponents)
    VERSION: 3.2.2
    BUILD:   NONEDEV
    ARCH_OS: n/a
    DATE:    2012-02-28T13:13:23-0500